Description

Hi,

in an enterprise environment with shared projects it would be useful to have set an environment variable pointing to a custom SVG path

(in a shared network folder).

There is already an env var for python plugins, QGIS_PLUGINPATH.

The env name could be QGIS_SVGPATH

History

#1 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-19 02:17 AM - Médéric RIBREUX

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello, bug triage...

in QGIS 2.13 master (and previous versions), there is now a way to add paths for SVG symbols. It is located in the Settings -> System tab. You can add as

many paths as you want. Furthermore, this configuration is stored in QGIS settings (.ini for GNU/Linux and register for MS-Windows), so you can easily

modify it as a sysadmin in an enterprise environment or deploy it to a lot of configurations.

There is no environment variable for this but you've got a way to set the SVG path in your environment so, I am closing this feature request.
